Subject: Re: Guest Logins

From: Andrew Wilson <[email-masked]>
Date: Mon, 24 Aug 1992 06:56:57 -0700

Hi,
	Frank Crowell ([email-masked]) said:

>"Why Vrooms?".  Well reading some postings in the LPmud
>newsgroup about one-shot character creations, another use of VRoom 
>would be to eliminate some of the silly
>character creations that are done on some muds just so that
>someone can talk to another person on mud.

This IS certainly a legitimate (read, Wow! so they are useful after all!)
use for VROOMs.  Characters wishing to visit our MOO would actually be logged
into another MOO and would communicate with our MOO using a VROOM.  This
is fine, but the characters would STILL need an account on the other MOO
to be able to do this.  Visiting characters would probably wany to use
objects defined on the site they're visiting, and (wonderful though they are)
VROOMs still can't let characters use objects defined on a another MOO.

The principal advantage of VROOMs, really an implication of the way that
MOO-net's network connenctions are implemented, is that no matter how many
visitors there are in a VROOM, they are linked to our MOO through only ONE login
per connected site.

For example:

	A couple of days ago, I (Networker @ CardiffMOO) was talking to
six other MOO characters using a VROOM.  Four of the characters were on
LambdaMOO and the other two were on DreaMOO.  Using the 'conventional' 
login technique this would mean that there would need to be seven characters
logged into CardiffMOO at the same time.  This situation might not be desirable
nor even possible, and both conditions were true for CardiffMOO at the time:
Firstly, CardiffMOO's host is a small Sun WorkStation, and is VERY slow with
seven incoming connections.  Secondly Cardiff University, the domain that
the workstation exists in, is firewalled.  No external logins are permitted,
so even if you DID know CardiffMOO's IP address and port number you STILL
couldn't get in.

Using the current implementation of MOO-net, the characters were able to 'visit'
CardiffMOO though only two network connections.  The connections from CardiffMOO
to LambdaMOO and DreaMOO were initiated by CardiffMOO using calls to the
open_network_connection() built-in.  Simply put, CardiffMOO had seven characters
interacting using only 3 telnet-like login connections.

>But then a more general question also occurs to me: why not
>have visitor status characters. Basically, a visitor character
>can exist for the duration of that one session, then is purged.
>Too silly? Well consider this. I want to invite 500 of my closest
>LPmud friends over for an evening at my favorite MOO.
>Hm.  SillyPerson say "Guest237, would you like more root beer?"

I think that 'one shot' characters ARE a good idea.  A visitor SHOULD
be nameable and describable and this is an idea that should be implemented
in the next LambdaCore.  It's worth pointing out however that visitors
alone would not be enough to enable '500 of my closest LPmud friends over for an evening at my favorite MOO'.  Can you imagine 500 people all logged into
LambdaMOO at the same time.  Did someone say lag?

Networker @ JustLetMeKnowIfYou'reGettingTiredOfThisNonsenseMOO

ps.	On a more personal note, can anyone tell me why I write so much when
	I have so little to say?